# $Revision: 1.173 $, $Date: 2012/01/12 14:24:51 $
#
# Conditional build:
%bcond_without	pdump		# portable dumper
%bcond_with	postgresql	# enable PostgreSQL support
%bcond_with	gtk		# GTK+ enabled version
#
%define		ver		21.5
%define		sver		29
%define		xver		%{ver}-b%{sver}
%define		basepkgver	2.27
Summary:	The XEmacs -- Emacs: The Next Generation
Summary(es.UTF-8):	El editor XEmacs
Summary(ja.UTF-8):	XEmacs エディタ
Summary(pl.UTF-8):	XEmacs -- Emacs następnej generacji
Summary(pt_BR.UTF-8):	Editor XEmacs
Summary(ru.UTF-8):	Версия GNU Emacs для X Window System
Summary(uk.UTF-8):	Версія GNU Emacs для X Window System
Name:		xemacs
Version:	%{ver}.%{sver}
Release:	4
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	http://ftp.xemacs.org/xemacs/xemacs-%{ver}/%{name}-%{version}.tar.gz
# Source0-md5:	5364192ae0d3de23d9f4ce197e6493b5
Source2:	http://ftp.xemacs.org/xemacs/packages/%{name}-base-%{basepkgver}-pkg.tar.gz
# Source2-md5:	2ec18d0faf31e2d343f558c730474a63
Source3:	%{name}.desktop
Source4:	%{name}.ad-pl
Source5:	%{name}-default.el
Source6:	%{name}-ogony-mule.el
Source7:	%{name}-ogony-nomule.el
Source8:	%{name}.png
Patch0:		%{name}-info.patch
Patch1:		%{name}-fix_ldflafs.patch
Patch3:		%{name}-no-memory-warnings.patch
Patch5:		%{name}-destdir.patch
Patch6:		%{name}-do-not-create-backups-in-temp-directories.patch
Patch7:		%{name}-level3.patch
Patch8:		%{name}-ptmx.patch
Patch9:		%{name}-set-locale-to-c-when-not-supported-by-x.patch
URL:		http://www.xemacs.org/
# for X11/bitmaps/gray
BuildRequires:	automake
BuildRequires:	gpm-devel
%{?with_gtk:BuildRequires:	gtk+-devel >= 1.2.10}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	motif-devel
BuildRequires:	ncurses-devel >= 5.0
%{?with_postgresql:BuildRequires:	postgresql-devel >= 7.1}
BuildRequires:	sed >= 4.0
BuildRequires:	texinfo
BuildRequires:	xorg-data-xbitmaps
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	zlib-devel
# If xemacs is already installed build fails:
# Load file misc: not found
# Fatal error during load, aborting
# because src/temacs opens files from /usr/../xemacs*
BuildConflicts:	xemacs
BuildConflicts:	xemacs-common
Requires:	%{name}-common = %{version}-%{release}
Requires:	ctags
Requires:	xorg-lib-libXt >= 1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XEmacs is a highly customizable open source text editor and
application development system. XEmacs is a version of Emacs,
compatible with and containing many improvements over GNU Emacs,
written by Richard Stallman of the Free Software Foundation. It was
originally based on an early release of GNU Emacs version 19, and has
tracked subsequent releases of GNU Emacs as they have become
available. This XEmacs distribution has been splitted in some rpm:

xemacs-common - common files needed by xemacs and xemacs-nox packages
xemacs - XEmacs binary with both X11 and TTY support xemacs-nox -
XEmacs binary with TTY support only xemacs-extras - files in conflict
with emacs

Install xemacs-extras if you haven't emacs installed.

%description -l ja.UTF-8
XEmacs は Free Software Foundation の Richard Stallman によって
書かれた GNU Emacs との互換性を維持しつつ数多くの改良が施された
派生バージョンです． 元々 Emacs 19 を元に開発され，Emacs
の後続リリースに追加された 機能と同期が取られています．

%description -l es.UTF-8
XEmacs es una versión de Emacs, compatible con GNU Emacs y conteniendo
muchas mejoras. Fue basado originalmente en una versión anterior de
GNU Emacs, y ha seguido las versiones subsecuentes.

%description -l pl.UTF-8
XEmacs jest odmianą Emacsa, zgodną (i zawierającą wiele udogodnień) z
GNU Emacsem tworzonym przez Richarda Stallmana z Free Software
Foundation. Wywodzi się z wczesnych odmian GNU Emacs 19, wprowadza
wiele miłych ulepszeń nie tracąc jednak więzi z oryginalną wersją.

Ta dystrybucja XEmacsa została podzielona na wiele pakietów binarnych:

xemacs-common - pakiet zawierający pliki współdzielone przez pakiety
xemacs i xemacs-nox xemacs - XEmacs skompilowany ze wsparciem dla X11
i konsoli xemacs-nox - XEmacs skompilowany bez wsparcia dla X11
(pracuje tylko na konsoli tekstowej) xemacs-extras - pliki wchodzące w
skład dystrybucji GNU Emacs

Do pracy niezbędne są xemacs-common oraz xemacs bądź xemacs-nox.
Zainstaluj także xemacs-extras jeśli nie posiadasz GNU Emacsa.

%description -l pt_BR.UTF-8
XEmacs é uma versão do Emacs, compatível com o GNU Emacs, contendo
muitos adicionais. Foi baseado numa versão anterior do GNU Emacs, e
seguiu as versões subseqüentes.

%description -l ru.UTF-8
XEmacs (равно как и оригинальный GNU Emacs) - это
самодокументированный, настраиваемый, расширяемый редактор с
отображением в реальном времени. XEmacs самодокументирован потому что
в любое время вы можете нажать control-h для подсказки о возможных
опциях или о том, что делает команда. XEmacs настраиваем потому что вы
можете изменить определения его команд на все, что вам угодно. XEmacs
расширяем потому что вы можете написать совершенно новые
команды-программы на языке Lisp, которые будут исполняться встроенным
интерпретатором Lisp. XEmacs включает отображение в реальном времени,
что значит что редактируемый текст видим на экране и обновляется очень
часто (обычно после каждого символа или пары символов) по мере набора
текста.

%description -l uk.UTF-8
XEmacs (так само як і оригінальний GNU Emacs) - це самодокументований,
настроюваний, розширюваний редактор з відображенням у реальному часі.
XEmacs самодокументований тому що у любий час ви можете натиснути
control-h для підказки про можливі опції або про те, що робить
команда. XEmacs настроюваний тому що ви можете змінити визначення його
команд на все, що вам завгодно. XEmacs розширюваний тому що ви можете
написати абсолютно нові команди-програми на мові Lisp, які будуть
виконуватися вбудованим інтерпретатором Lisp. XEmacs включає
відображення у реальному часі, що означає що редагований текст видно
на екрані і він поновлюється дуже часто (зазвичай після кожного
символу або пари символів) по мірі набору тексту.

%package common
Summary:	Common part of XEmacs distribution
Summary(pl.UTF-8):	Wspólne części XEmacsa
Group:		Applications/Editors/Emacs
Requires:	emacscommon
Provides:	xemacs-base-pkg

%description common
Common files of XEmacs distribution. This package does not contain
XEmacs editor binary, you must install xemacs or xemacs-nox package to
use XEmacs -- Emacs: The Next Generation editor.

%description common -l pl.UTF-8
Wspólne pliki XEmacsa. Ten pakiet nie zawiera pliku wykonywalnego
edytora, musisz zainstalować xemacs lub xemacs-nox, aby używać XEmacsa
bądź Emacsa: edytor Następnej Generacji.

%package nox
Summary:	XEmacs binary compiled without X11 support
Summary(pl.UTF-8):	XEmacs skompilowany bez wsparcia dla X11
Group:		Applications/Editors/Emacs
Requires:	%{name}-common = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}

%description nox
XEmacs binary compiled with TTY support only, without X11 support.

%description nox -l pl.UTF-8
XEmacs skompilowany bez wsparcia dla X11 (pracuje tylko na konsoli lub
w okienku xterma).

%package extras
Summary:	Files which conflict with GNU Emacs
Summary(pl.UTF-8):	Wspólne pliki XEmacsa i GNU Emacsa
Group:		Applications/Editors/Emacs
Provides:	emacscommon
Obsoletes:	emacscommon

%description extras
These files are common between GNU Emacs and XEmacs. If you do not
have GNU Emacs installed, be sure to install this package as well when
you install XEmacs.

%description extras -l pl.UTF-8
Są to wpólne pliki GNU Emacs i XEmacs. Jeśli nie zainstalowałeś GNU
Emacsa, to koniecznie zainstaluj ten pakiet.

%prep
%setup -q -a2
%patch0 -p1
%patch1 -p1
%ifarch alpha ia64
# disable memory_warnings() - it doesn't support memory model used on alpha
%patch3 -p1
%endif
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%if "%{_lib}" == "lib64"
sed -i -e 's#"lib"#"lib64"#g' lisp/find-paths.el lisp/info.el lisp/setup-paths.el
%endif

%build
%{__autoconf}
cp /usr/share/automake/config.sub .
CFLAGS=" %{rpmcflags}"
CPPFLAGS=" %{rpmcflags}"
LDFLAGS=" %{rpmldflags} -lc"
export CFLAGS CPPFLAGS LDFLAGS

# no X
%configure %{_target_platform} \
	--prefix=%{_prefix} \
	--exec-prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--datadir=%{_datadir} \
	--libdir=%{_libdir} \
	--with-prefix=%{_prefix} \
	--with-statedir=%{_libdir} \
	--with-archlibdir=%{_libdir}/%{name}-%{xver}/%{_target_cpu}-pld-linux \
	--with-lispdir=%{_datadir}/%{name}-%{xver}/lisp \
	--with-moduledir=%{_libdir}/%{name}-%{xver}/%{_target_cpu}-pld-linux/modules \
	--with-etcdir=%{_datadir}/%{name}-%{xver}/etc \
	--with-docdir=%{_datadir}/%{name}-%{xver}/etc \
	--with-package_path="~/.xemacs::%{_datadir}/%{name}-packages" \
	--enable-mule \
	--with-site-lisp \
%if %{with postgreql}
	--with-postgresql \
%else
	--without-postgresql \
%endif
	--disable-sound \
	--without-x11 \
	--without-jpeg \
	--without-png \
	--without-xpm \
	--with-gpm \
	--with-ncurses \
	--enable-database=no \
%if %{with pdump}
	--enable-pdump=yes \
%else
	--enable-pdump=no \
%endif
	--without-tiff \
	--without-dnet \
	--without-ldap \
	--without-dragndrop \
	--without-msw \
	--disable-kkcc \
	--with-error-checking=none \
	--with-debug=no


%{__make} -j1 \
	CC="%{__cc}"
cp src/xemacs src/xemacs-nox
%if %{with pdump}
cp src/xemacs.dmp src/xemacs-nox.dmp
%endif
cp lib-src/gnuserv lib-src/gnuserv-nox
%{__make} -j1 distclean

# X
./configure %{_target_platform} \
	--prefix=%{_prefix} \
	--exec-prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir}/man1 \
	--datadir=%{_datadir} \
	--libdir=%{_libdir} \
	--with-prefix=%{_prefix} \
	--with-statedir=%{_libdir} \
	--with-archlibdir=%{_libdir}/%{name}-%{xver}/%{_target_cpu}-pld-linux \
	--with-lispdir=%{_datadir}/%{name}-%{xver}/lisp \
	--with-moduledir=%{_libdir}/%{name}-%{xver}/%{_target_cpu}-pld-linux/modules \
	--with-etcdir=%{_datadir}/%{name}-%{xver}/etc \
	--with-docdir=%{_datadir}/%{name}-%{xver}/etc \
	--with-package_path="~/.xemacs::%{_datadir}/%{name}-packages" \
	--enable-mule \
	--with-site-lisp \
%if %{with postgresql}
	--with-postgresql \
%else
	--without-postgresql \
%endif
	--disable-sound \
	--with-jpeg \
	--with-png \
	--with-xpm \
	--with-gpm \
	--with-xft \
	--with-ncurses \
%if %{with gtk}
	--with-gtk \
%else
	--without-gtk \
%endif
%if %{undefined gtk}
	--with-x11 --enable-menubars=lucid --enable-scrollbars=motif \
	--enable-dialogs=motif --enable-widgets=motif \
%endif
	--enable-database=no \
	--enable-gnome=no \
	--without-tiff \
	--without-dnet \
	--without-ldap \
	--without-dragndrop \
	--without-msw \
	--disable-kkcc \
	--with-error-checking=none \
	--with-debug=no \
%if !%{with pdump}
	--pdump=no
%endif


# if you want to xemacs sings and plays sounds add option
#	--enable-sound=native

#	--cflags="$RPM_OPT_FLAGS" \
#	--with-session=yes \

%{__make} -j1 \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},/var/lock/xemacs} \
	$RPM_BUILD_ROOT{%{_mandir}/{ja/man1,man1},%{_datadir}/X11/{pl,}/app-defaults} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/lisp \
	$RPM_BUILD_ROOT%{_datadir}/%{name}-packages/{etc,lib-src,info,pkginfo}

%{__make} install-arch-dep install-arch-indep \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	infodir=%{_infodir} \
	mandir=%{_mandir}/man1 \
	datadir=%{_datadir} \

install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}

( cd $RPM_BUILD_ROOT%{_datadir}/%{name}-packages; gzip -dc %{SOURCE2} | tar xf - )

install %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/%{name}-packages/lisp/default.el
install %{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/%{name}-packages/lisp/ogony-mule.el
install %{SOURCE7} $RPM_BUILD_ROOT%{_datadir}/%{name}-packages/lisp/ogony-nomule.el
install %{SOURCE8} $RPM_BUILD_ROOT%{_pixmapsdir}


[ -d $RPM_BUILD_ROOT%{_datadir}/%{name}/site-lisp ] || \
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/site-lisp

ln -s %{_datadir}/%{name}/site-lisp $RPM_BUILD_ROOT%{_libdir}/%{name}/site-lisp

install $RPM_BUILD_ROOT%{_datadir}/%{name}-%{xver}%{_sysconfdir}/Emacs.ad \
	$RPM_BUILD_ROOT%{_datadir}/X11/app-defaults/XEmacs
install $RPM_BUILD_ROOT%{_datadir}/%{name}-%{xver}%{_sysconfdir}/Emacs.ad \
	$RPM_BUILD_ROOT%{_datadir}/X11/pl/app-defaults/XEmacs
cat %{SOURCE4} >>$RPM_BUILD_ROOT%{_datadir}/X11/pl/app-defaults/XEmacs

mv -f $RPM_BUILD_ROOT%{_bindir}/xemacs-%{xver} \
	$RPM_BUILD_ROOT%{_bindir}/xemacs

%if %{with pdump}
install src/xemacs.dmp $RPM_BUILD_ROOT%{_bindir}
%endif

find $RPM_BUILD_ROOT%{_datadir}/%{name}-%{xver}/* -type f -name "ChangeLog*" | xargs gzip -9nf

install src/xemacs-nox $RPM_BUILD_ROOT%{_bindir}
%if %{with pdump}
install src/xemacs-nox.dmp $RPM_BUILD_ROOT%{_bindir}
%endif

# hack...
install lib-src/gnuserv-nox $RPM_BUILD_ROOT%{_bindir}
mv -f $RPM_BUILD_ROOT%{_libdir}/%{name}-%{xver}/*-linux*/gnuserv $RPM_BUILD_ROOT%{_bindir}

# remove some .elc files
find $RPM_BUILD_ROOT -name '_pkg.elc' -exec rm "{}" ";"

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done
rm -f $RPM_BUILD_ROOT%{_bindir}/{c,e}tags

# hmm, maybe xemacs-devel is necessary?
rm -rf	$RPM_BUILD_ROOT%{_libdir}/%{name}-%{xver}/*-linux/include \
	$RPM_BUILD_ROOT%{_infodir}/dir* \
	$RPM_BUILD_ROOT%{_infodir}/{info,standards,texinfo}.info*

find $RPM_BUILD_ROOT -regex '.*~$' -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gnuattach
%attr(755,root,root) %{_bindir}/gnuclient
%attr(755,root,root) %{_bindir}/gnudoit
%attr(755,root,root) %{_bindir}/gnuserv
%attr(755,root,root) %{_bindir}/xemacs
%if %{with pdump}
%{_bindir}/xemacs.dmp
%endif
%attr(755,root,root) %{_bindir}/ootags
%attr(755,root,root) %{_bindir}/ellcc
%{_datadir}/%{name}-%{xver}/etc/custom
%{_datadir}/%{name}-%{xver}/etc/eos
%{_datadir}/%{name}-%{xver}/etc/toolbar
%{_datadir}/%{name}-%{xver}/etc/*.png
%{_datadir}/%{name}-%{xver}/etc/*.xbm
%{_datadir}/%{name}-%{xver}/etc/*.xpm
%{_datadir}/X11/app-defaults/XEmacs
%lang(pl) %{_datadir}/X11/pl/app-defaults/XEmacs
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_mandir}/man1/gnuattach.1*
%{_mandir}/man1/gnuclient.1*
%{_mandir}/man1/gnudoit.1*
%{_mandir}/man1/gnuserv.1*

%files common
%defattr(644,root,root,755)
%doc README etc/NEWS
%dir %{_datadir}/%{name}-%{xver}
%dir %{_datadir}/%{name}-%{xver}/etc
%{_datadir}/%{name}-%{xver}/etc/package-index.LATEST.gpg
%doc %{_datadir}/%{name}-%{xver}/etc/TUTORIAL
%doc %lang(de) %{_datadir}/%{name}-%{xver}/etc/TUTORIAL.de
%doc %lang(fr) %{_datadir}/%{name}-%{xver}/etc/TUTORIAL.fr
%doc %lang(hr) %{_datadir}/%{name}-%{xver}/etc/TUTORIAL.hr
%doc %lang(ja) %{_datadir}/%{name}-%{xver}/etc/TUTORIAL.ja
%doc %lang(ko) %{_datadir}/%{name}-%{xver}/etc/TUTORIAL.ko
%doc %lang(nb) %{_datadir}/%{name}-%{xver}/etc/TUTORIAL.no
%doc %lang(pl) %{_datadir}/%{name}-%{xver}/etc/TUTORIAL.pl
%doc %lang(ro) %{_datadir}/%{name}-%{xver}/etc/TUTORIAL.ro
%doc %lang(ru) %{_datadir}/%{name}-%{xver}/etc/TUTORIAL.ru
%doc %lang(th) %{_datadir}/%{name}-%{xver}/etc/TUTORIAL.th
%doc %{_datadir}/%{name}-%{xver}/etc/[A-SU-Z]*
%doc %{_datadir}/%{name}-%{xver}/etc/refcard.ps.gz
%doc %{_datadir}/%{name}-%{xver}/etc/refcard.tex
%doc %{_datadir}/%{name}-%{xver}/etc/sample.*

%{_datadir}/%{name}-%{xver}/etc/unicode
%{_datadir}/%{name}

# do not know it is necessary
%dir %{_libdir}/%{name}-%{xver}
%dir %{_libdir}/%{name}-%{xver}/*-linux*
%{_libdir}/%{name}-%{xver}/*-linux/modules
%attr(755,root,root) %{_libdir}/%{name}-%{xver}/*-linux/[Dacdfghprsvwy]*
%attr(755,root,root) %{_libdir}/%{name}-%{xver}/*-linux/m[am]*
%attr(755,root,root) %{_libdir}/%{name}-%{xver}/*-linux/mov*

%{_datadir}/%{name}-%{xver}/lisp

%dir %{_datadir}/%{name}-packages
%dir %{_datadir}/%{name}-packages/info
%dir %{_datadir}/%{name}-packages/pkginfo
%{_datadir}/%{name}-packages/etc
%{_datadir}/%{name}-packages/lisp
%{_datadir}/%{name}-packages/lib-src

%{_mandir}/man1/xemacs.1*
#%lang(ja) %{_mandir}/ja/man1/*

%{_infodir}/*.info*

/var/lock/xemacs

%files nox
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xemacs-nox
%if %{with pdump}
%{_bindir}/xemacs-nox.dmp
%endif
%attr(755,root,root) %{_bindir}/gnuserv-nox

%files extras
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/b2m
%attr(755,root,root) %{_bindir}/rcs-checkin

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs.spec,v $
Revision 1.173  2012/01/12 14:24:51  lisu
- no more separated libtinfo(w)

Revision 1.172  2011/09/01 17:05:50  arekm
- release 4

Revision 1.171  2011/08/31 18:29:03  arekm
- release 3

Revision 1.170  2011/07/06 12:10:51  baggins
- rel 2
- added dirs needed by external packages

Revision 1.169  2011/04/06 21:37:21  baggins
- updated to 21.5.29 and base 2.27

Revision 1.168  2011/01/29 00:07:43  sparky
- dropped pre-cvs changelog

Revision 1.167  2010/02/10 22:21:44  sparky
- BR: xorg-lib-libXpm-devel
- dropped unused BR: libtiff-devel

Revision 1.166  2010/02/06 21:00:17  arekm
- release 5

Revision 1.165  2009/07/12 13:14:26  arekm
- release 4

Revision 1.164  2008/08/10 16:36:55  arekm
- release 3

Revision 1.163  2008-01-24 01:23:04  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.162  2007-11-28 08:14:52  arekm
- rel 2

Revision 1.161  2007-06-11 17:14:24  qboosh
- R: libXt >= 1.0 for app-defaults in /usr/share

Revision 1.160  2007/06/09 16:02:57  arekm
- up to 21.5.28

Revision 1.159  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.158  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.157  2007/01/04 13:29:17  arekm
BC: xemacs for now until this is solved somehow

Revision 1.156  2007/01/04 13:02:53  arekm
- drop -dump-paths-lispdir.patch patch, was causing references to source tree in installed stuff
- explictly specify all paths (configure.ac has tons of crap redefining directories for own purposes)

Revision 1.155  2007/01/01 13:28:42  arekm
- rel 3; pl app-defaults also fixed

Revision 1.154  2007/01/01 12:46:13  arekm
- fix app-defaults dir

Revision 1.153  2007/01/01 12:42:16  arekm
- up to 21.5.27

Revision 1.152  2006/11/13 15:06:00  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.151  2006/11/07 22:31:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.150  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.149  2006/07/26 14:58:57  glen
- partial adapter

Revision 1.148  2006/04/01 23:04:40  arekm
- updated; still bad paths to files

Revision 1.147  2005/11/01 13:03:37  arekm
- rm some elc files

Revision 1.146  2005/10/29 18:36:08  arekm
- use macro in patch names

Revision 1.145  2005/10/29 18:29:17  arekm
- up to 21.5.23

Revision 1.144  2005/10/23 10:59:45  arekm
- fix paths in el files; package etc/unicode; rel 2

Revision 1.143  2005/10/02 22:10:35  arekm
- patches updated

Revision 1.142  2005/10/02 21:38:49  arekm
- up to 21.5.22

Revision 1.141  2005/06/09 21:27:43  arekm
- add BR: XFree86; up base pkg to 1.97

Revision 1.140  2005/04/29 19:10:55  pluto
- release bumped.

Revision 1.139  2005/04/04 18:46:21  arekm
- up to 21.4.17

Revision 1.138  2005/01/08 16:13:00  qboosh
- BR: libpng-devel not libpng

Revision 1.137  2004/12/20 18:58:10  qboosh
- BR: texinfo

Revision 1.136  2004/10/31 12:55:14  paladine
- spaces->tabs

Revision 1.135  2004/10/30 09:55:38  paladine
- pl fix

Revision 1.134  2004/10/28 09:58:33  paladine
- "GTK+" unification (hope thats all)

Revision 1.133  2004/08/07 10:47:37  qboosh
- BR: sed 4.0, BRs cleanup

Revision 1.132  2004/08/07 01:13:01  havner
- rel 5

Revision 1.131  2004/08/07 00:56:36  arekm
- builds now

Revision 1.130  2004/07/25 12:17:33  qboosh
- disable memory_warnings() on ia64 too (the same issue)

Revision 1.129  2004/07/15 21:38:15  qboosh
- missing dirs, killed invalid usage of some macros; release 4

Revision 1.128  2004/07/07 12:54:33  ankry
- rel. 3 to rebuild with openmotif-libs-2.2.3-2

Revision 1.127  2004/07/04 21:09:06  adamg
- applnk -> vfolders; release 2

Revision 1.126  2004/05/30 23:13:58  arekm
- updated to 21.4.15

Revision 1.125  2004/05/13 19:17:50  ankry
- cosmetics

Revision 1.124  2004/01/29 13:20:27  averne
release 5 to rebuild with new openmotif

Revision 1.123  2004/01/27 12:02:06  qboosh
- updated lang() for bokmaal (s/no/nb/)

Revision 1.122  2004/01/02 18:16:50  jajcus
- Release: 4 (STBR after AMD64 fixes)

Revision 1.121  2003/12/28 13:07:05  jajcus
- AMD64 fixes - define  %{_ulibdir} to be always /usr/lib and use it instead of %{_libdir}

Revision 1.120  2003/12/03 20:18:24  speedy
- release 3
- reversed bcond (pdump)

Revision 1.119  2003/11/25 20:48:28  speedy
- new bcond (pdump - disabled)
- release 2

Revision 1.118  2003/10/27 21:05:56  qboosh
- added no-memory-warnings patch (only on alpha; fixes build)

Revision 1.117  2003/10/24 09:08:55  wiget
- (blind) ppc fix

Revision 1.116  2003/10/21 22:10:35  arekm
- updated to 21.4.14

Revision 1.115  2003/08/28 08:20:34  ankry
- cosmetics

Revision 1.114  2003/06/19 00:45:26  mwinkler
- old version not found, update emacs-base to 1.77

Revision 1.113  2003/06/13 18:02:25  mwinkler
- fixed url

Revision 1.112  2003/05/28 13:03:07  malekith
- massive attack: source-md5

Revision 1.111  2003/05/25 06:28:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.110  2003/03/26 12:09:48  kloczek
- updated to 21.4.12 (base to 1.75).

Revision 1.109  2003/03/06 23:13:46  wiget
- don't conflict with emacs (conflicting files are with packages with emacscommon provides)
- release 5

Revision 1.108  2003/03/03 21:17:13  pawelk
- rel = 4

Revision 1.107  2003/02/18 20:01:54  pawelk
- added mising file package-index, so now xemacs modes should work.
- added missing reference card file

Revision 1.106  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.105  2002/11/17 00:23:27  kloczek
- updated to 21.4.10 (xemacs-base to 1.70): bug fixes.

Revision 1.104  2002/10/30 13:14:00  ankry
- desktop moved to toplevel Editors, cleaning, rel. 2

Revision 1.103  2002/10/28 08:18:40  kloczek
- merge translations from Conectiva.

Revision 1.102  2002/08/26 11:11:41  kloczek
- updated to 21.4.9: bugfixes,
- updated xemacs-base to 1.67,
- updated Source url's.

Revision 1.101  2002/06/25 08:59:13  speedy
- rel++
- gnuserv removed from xemacs-common
- now we can use xemacs-nox

Revision 1.100  2002/06/17 20:15:04  kloczek
- release 3: use new %doc.

Revision 1.99  2002/06/15 11:41:09  ankry
- removed %%lang(en)
- release 2

Revision 1.98  2002/05/11 16:55:56  kloczek
- updated to 21.4.8.

Revision 1.97  2002/05/06 09:33:07  wiget
base 1.61

Revision 1.96  2002/05/05 15:06:52  kloczek
- merge translations from KSI and TurboLinux.

Revision 1.95  2002/05/05 14:12:04  klark

- upgrade to version 21.4.7

Revision 1.94  2002/03/27 02:41:01  kloczek
- release 2.

Revision 1.93  2002/03/26 19:18:23  gotar
- added %%{_datadir}/%%{name}-%%{version}%%{_sysconfdir} dir to the
  common subpackage contents.

Revision 1.92  2002/02/22 23:30:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.91  2002/02/18 18:31:34  gotar
- %desc

Revision 1.90  2002/01/18 02:15:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.89  2001/12/22 04:08:47  kloczek
- updated to 21.4.6 (bug fix release).

Revision 1.88  2001/11/07 00:56:44  kloczek
- updated to 21.4.5.

Revision 1.87  2001/09/29 00:47:06  misiek
- fix %%files section

Revision 1.86  2001/08/23 17:33:03  filon
- removed -s from install -s, stripping is done by rpm

Revision 1.85  2001/08/10 20:54:46  kloczek
- updated to 21.4.4,
- updated base to 1.55,
- removed outdated event patch,
NOTE: compiles and install correctly but %files isn't complet.

Revision 1.84  2001/08/09 22:34:33  blues
- Release 3
- URL corrected
STB - reason: rebuild with gpm-libs

Revision 1.83  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.81  2001/06/02 14:36:43  misiek
x window version uses motif not athena

Revision 1.80  2001/06/01 07:52:40  misiek
remove backup files

Revision 1.79  2001/05/22 08:16:13  misiek
more conditional fixes

Revision 1.78  2001/05/22 07:08:39  wiget
fix conditional builds (s/with_/_with_/)

Revision 1.77  2001/05/21 20:43:37  misiek
- make gtk and postgresql conditional build
- release 2

Revision 1.76  2001/05/20 13:45:12  kloczek
- added Icon to desktop file.

Revision 1.75  2001/05/20 10:50:02  misiek
- added ogony-mule and ogony-nomule from wigets xemacs configuration

Revision 1.74  2001/05/19 20:27:16  misiek
don't include generic info pages

Revision 1.73  2001/05/19 19:34:56  klakier
- modified files
- removed -el package (these are sources))

Revision 1.72  2001/05/18 15:22:49  misiek
21.4.3

Revision 1.71  2001/05/18 09:03:08  misiek
- partial update do 21.4.2
- not yet ready
- klakier, it's your turn

Revision 1.70  2001/05/17 19:13:28  misiek
- updated base package to 1.53
- release 2

Revision 1.69  2001/04/30 16:05:32  kloczek
- added using %%{rpmcflags} macro.

Revision 1.68  2001/01/27 23:27:10  kloczek
- updated to 21.1.14,
- merge mmencode rawhide patch.

Revision 1.67  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.66  2001/01/08 17:03:52  kloczek
- updated to 21.1.13.

Revision 1.65  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.64  2000/12/10 17:17:52  kloczek
- release 3.

Revision 1.63  2000/12/10 16:57:33  kloczek
- make spec %%{debug} ready and more fixes for using rpm automation.

Revision 1.62  2000/11/29 13:36:17  wiget
basepkgver 1.46

Revision 1.61  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.60  2000/08/30 17:23:08  mis
- removed redundant "xemacs" prov

Revision 1.59  2000/08/22 15:39:23  mis
- xemacs package splited to xemacs-common (with all xemacs common files)
  and xemacs (with X11 dependent binaries)
- xemacs-nox is added (binary with TTY support only)
- removed uneeded openldap-devel build requirement
- compiled without sound support (it's *editor*)
- cosmeticts
- release 2

Revision 1.58  2000/08/08 02:07:32  kloczek
- updated to 21.1.12.

Revision 1.57  2000/07/28 17:26:15  kloczek
- spec adapterized.

Revision 1.56  2000/07/28 13:59:17  zagrodzki
- release 2, built against libpng >= 1.0.8

Revision 1.55  2000/07/19 04:18:10  kloczek
- updated to 2.1.11 (base 1.42).

Revision 1.54  2000/07/13 23:29:51  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.53  2000/06/26 17:23:43  baggins
- release 2
- added %%{_datadir}/%%{name}-%%{version}/etc/package-index.LATEST.pgp to %%files

Revision 1.52  2000/06/09 07:55:16  kloczek
- more %%{__make} macros.

Revision 1.51  2000/06/09 07:24:16  kloczek
- added using %%{__make} macro.

Revision 1.50  2000/06/05 10:35:46  kloczek
- updated to 21.1.10 (base upgraded to 1.39).

Revision 1.49  2000/06/01 20:08:05  michuz
- release 8
- %%applnkdir changed

Revision 1.48  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.47  2000/05/01 20:11:43  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.46  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.45  2000/03/28 16:55:21  baggins
- translated kloczkish into english

Revision 1.44  2000/02/25 12:55:40  kloczek
- release 7,
- spec adapterized.

Revision 1.43  2000/01/20 13:58:59  klakier
- added loading polish keyboard if LANG=pl*
- generic Xdefaults appended to polish Xdefs

Revision 1.42  2000/01/19 10:39:33  klakier
- lispref info added

Revision 1.41  2000/01/07 17:44:23  klakier
- small fix

Revision 1.40  2000/01/07 15:03:34  klakier
- added xemacs-packages/{lib-src,etc} dirs

Revision 1.39  2000/01/06 00:00:10  kloczek
- removed nas-devel from BuildRequires list because xemacs is now built
  only with native sound support.

Revision 1.38  2000/01/05 23:45:46  kloczek
- added patches wich allow build xemacs without installed xemacs
  (no-antoloads and EMACSLOADPATH_fix),
- removed {c,e}tags, man pages for them and added "Require: ctags",
- fixed installing xemacs X resources and moved pl X res from extras to main
  subpackage,
- added --with-gpm to ./configure options,
- added installing pl X resources,
- build against ncurses 5.0.

Revision 1.37  2000/01/04 12:20:11  klakier
- defattr added to xemacs-extras

Revision 1.36  2000/01/02 21:42:37  klakier
- disabled some features (nas, ldap, motif)

Revision 1.35  1999/12/12 13:42:19  klakier
- "" added to package_path

Revision 1.34  1999/12/10 15:13:34  klakier
- removed binaries and man pages for ctags and etags (conflict with ctags package)

Revision 1.33  1999/12/09 20:12:14  kloczek
- removed duplicated patch.

Revision 1.32  1999/12/09 19:04:31  klakier
- some small fixes

Revision 1.31  1999/12/09 18:14:05  klakier
- filename changed: xemacs-xdefaults-pl to xemacs.ad-pl

Revision 1.30  1999/12/09 18:08:06  klakier
- added polish xdefaults
- removed default xdefaults

Revision 1.29  1999/12/09 17:16:09  kloczek
- small fix in %install (SOURCE# reorder conseuence).

Revision 1.28  1999/12/09 16:07:28  kloczek
- added "Prereq: /usr/sbin/fix-info-dir" for main,
- removed %%{name}-%%{version}-info.tar.gz from Sources (this is generated
  from included in main texinfo documents),
- wmconfig file replaced by desktop file (added %%{_applnkdir} macro),
- place in proper path and register xemacs X resources and ja man pages,
- removed stripping binaries (LDFLAGS="-s" is passed to ./configure env),
- added info index fixes for info pages (info patch),
- link additional tools only with necessary libraries (fix_ldflafs patch),
- added --with-sound=both for compiling both native and nas sound support.

Revision 1.27  1999/12/09 15:22:30  klakier
- Removed link /usr/lib/xemacs-packages. It is useless now

Revision 1.26  1999/12/09 15:05:26  klakier
- packages moved to separate dir /usr/share/xemacs-package
  to avoid confusing autoload mechanism
- xemacs-base package included
- fixed some links

Revision 1.25  1999/12/08 20:31:05  klakier
Completely rewriten!!!
- Packages moved to individual specs, generated automatically with
  xemacs-adapter script
- Due to a broken build process I couldn't place xemacs stuff in desired paths
  I just made some temporary symlinks.
  And there is really funny: One cannot have xemacs installed to build it!!!!!
- This is no-mule version. Xemacs-mule requires separate compiling so
  separete xemacs-mule package should be made.

Revision 1.24  1999/11/08 16:19:51  kura
fixed pl translations

Revision 1.23  1999/10/21 19:23:16  klakier
Bardzo tymczasowa wersja bez mule

Revision 1.22  1999/08/31 14:11:59  kloczek
- typo s/ncurces/ncurses/

Revision 1.21  1999/08/24 20:44:17  wiget
- more BuildRequires

Revision 1.20  1999/08/24 18:40:49  wiget
- BuildRequires: nas-devel

Revision 1.19  1999/08/24 18:11:09  baggins
- commented out most of bbdb package

Revision 1.18  1999/08/24 17:24:33  baggins
- updated sumo

Revision 1.17  1999/08/24 13:53:33  baggins
- added pkgdate macro

Revision 1.16  1999/08/24 13:47:37  baggins
- cleanup for PLD (FHS 2.0, macros)

Revision 1.15  1999/07/12 23:06:22  kloczek
- added using CVS keywords in %changelog (for automating them).
